export type EvHandlerRes = "bubble" | "stop";
export type EvHandler<Args extends unknown[] = []> = (
    ...args: Args
) => EvHandlerRes;

export interface Mouse {
    get x(): number;
    get y(): number;

    addOnPress(handler: EvHandler): void;
    addOnRelease(handler: EvHandler): void;
    addOnMove(handler: EvHandler): void;
    addOnScroll(handler: EvHandler<["up" | "down"]>): void;
}
