import { CanvasMouse, CanvasRenderer } from "./canvas.ts";
import { Simulator } from "./simulator.ts";

const c = document.querySelector<HTMLCanvasElement>("canvas#editor")!;
const g = c.getContext("2d", { alpha: false })!;

c.width = document.body.clientWidth;
c.height = document.body.clientHeight;
c.style.position = "absolute";
g.imageSmoothingEnabled = false;

const r = new CanvasRenderer(c, g);
const mouse = new CanvasMouse(c);

const simulator = new Simulator(mouse);

function render() {
    simulator.render(r);

    requestAnimationFrame(() => {
        render();
    });
}
render();
